Description

The "Info by point" tool reports that the fields of Float type have an invalid value in PostGIS layers.
If I open the table properties I see that the fields of Float type are read with length 131089 and precision 0.
Consider that the fields are declared of numeric type in PostGIS.
Related to #2694.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2694: Numeric types mana... Closed 07/21/2014

Associated revisions
Revision 42041 - 02/24/2015 04:44 PM - José Badía

fixes  #2694, #2858
Numeric types management of PostGIS tables
Fields of type Float have an invalid value in PostGIS layers

History
#1 - 10/13/2014 07:10 AM - Álvaro Anguix
- Related to gvSIG bugs #2694: Numeric types management of PostGIS tables added

#2 - 12/10/2014 11:49 AM - Antonio Falciano

This issue is still present in the RC3.

#3 - 02/20/2015 09:20 AM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2
- Assignee set to José Badía

#4 - 02/20/2015 09:25 AM - Joaquín  del Cerro Murciano

Añado este comentario de cara a desarrolo.

El codigo que puede verse afectado por estas correcciones deberia estar en el proyecto:
https://redmine.gvsig.net/redmine/projects/gvsig-postgresql

Habria que evaluar si se corrige ahi, o si es interesante elevar las correcciones a las clases de las se extiende en ese proyecto, que son las genericas
de JDBC.
La parte de acceso a datos generica de JDBC esta en el core de gvSIG, en el proyecto del redmine:

https://redmine.gvsig.net/redmine/projects/gvsig-desktop

En:

org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.jdbc

#5 - 02/24/2015 04:49 PM - José Badía
- Status changed from New to Fixed

Finally modified JDBCHelper class at gvSIG core. 
Fixed conflicted types to Double if it isn't enough, please reopen the ticket

#6 - 03/02/2015 11:28 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)

#7 - 04/10/2015 01:13 PM - Álvaro Anguix
- Status changed from Fixed to Closed
